<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
	</PropertyGroup>

	<ItemGroup>
	  <Compile Remove="Robots\Models\**" />
	  <Content Remove="Robots\Models\**" />
	  <EmbeddedResource Remove="Robots\Models\**" />
	  <None Remove="Robots\Models\**" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="9.0.8" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="9.0.8" PrivateAssets="all" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Authentication" Version="9.0.8" />
		<PackageReference Include="Microsoft.CodeAnalysis.CSharp.Features" Version="4.14.0" />
		<PackageReference Include="Microsoft.Extensions.Http" Version="9.0.8" />
		<PackageReference Include="MudBlazor" Version="8.11.0" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\RobotNet.Clients\RobotNet.Clients.csproj" />
	  <ProjectReference Include="..\RobotNet.MapShares\RobotNet.MapShares.csproj" />
	  <ProjectReference Include="..\RobotNet.RobotShares\RobotNet.RobotShares.csproj" />
	  <ProjectReference Include="..\RobotNet.Script.Shares\RobotNet.Script.Shares.csproj" />
	</ItemGroup>

	<ItemGroup>
		<ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
	</ItemGroup>

</Project>
